POST api/message/search
Request Information
URI Parameters
None.
Body Parameters
MessageSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageId | globally unique identifier |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| DateFrom | date |
None. |
|
| DateTo | date |
None. |
|
| EmailFrom | string |
None. |
|
| EmailTo | string |
None. |
|
| TelephoneTo | string |
None. |
|
| Statuses | Collection of integer |
None. |
|
| Type | string |
None. |
|
| Skip | integer |
None. |
|
| Take | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"messageId": "51a3a498-2d04-4054-a468-d64c1f6bb8c5",
"personId": "1d8bf099-0a84-4f00-828a-71a6e5b2414b",
"dateFrom": "2026-07-10T03:11:10.8072755+02:00",
"dateTo": "2026-07-10T03:11:10.8072755+02:00",
"emailFrom": "sample string 1",
"emailTo": "sample string 2",
"telephoneTo": "sample string 3",
"statuses": [
1,
2
],
"type": "sample string 4",
"skip": 5,
"take": 6
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.